﻿@model CepSal.ViewModels.vmLogin
@{
    Layout = null;
}

<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8" />
    <!-- Tell the browser to be responsive to screen width -->
    <meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no" />
    <title>Login</title>

    <environment include="Development">
        <link rel="stylesheet" href="~/lib/bootstrap/dist/css/bootstrap.css" />
        <link href="~/lib/bootstrap/dist/css/dataTables.bootstrap.min.css" rel="stylesheet" />
        <link href="~/lib/bootstrap/dist/css/responsive.bootstrap.min.css" rel="stylesheet" />
        <link rel="stylesheet" href="~/css/site.css" />
        @*AGREGADO POR EL ESTILO DEL TEMA*@
        <!-- Font Awesome -->
        <link href="~/fonts/font-awesome.min.css" rel="stylesheet" />
        <!-- Ionicons -->
        <link href="~/lib/Ionicons/ionicons.min.css" rel="stylesheet" />
        <!-- Theme style -->
        <link href="~/lib/AdminLTE/AdminLTE.min.css" rel="stylesheet" />
        <!-- AdminLTE Skins.-->
        <link href="~/lib/AdminLTE/skin-blue.min.css" rel="stylesheet" />
        @*FIN AGREGADOS TEMA*@


        <!-- start: Css -->
        <link rel="stylesheet" type="text/css" href="~/css/bootstrap.min.css">


        <!-- end: Css -->
    </environment>
    <environment exclude="Development">
        <link rel="stylesheet" href="https://ajax.aspnetcdn.com/ajax/bootstrap/3.3.7/css/bootstrap.min.css"
              asp-fallback-href="~/lib/bootstrap/dist/css/bootstrap.min.css"
              asp-fallback-test-class="sr-only" asp-fallback-test-property="position" asp-fallback-test-value="absolute" />
        <link rel="stylesheet" href="~/css/site.min.css" asp-append-version="true" />
    </environment>
</head>
<body class="hold-transition skin-blue sidebar-mini">

    <div class="">
        <section class="content content-wrapper">
            <div class="login-box ">
                <div class="login-box-body">
                    <p class="login-box-msg">Ingresa tus credenciales</p>
                    <form asp-action="Login" asp-controller="Account" method="post">
                        <span class="text-danger">@ViewBag.error</span>
                        <div class="form-group">
                            <label class="control-label">Empresa: </label>
                            <select asp-for="idEmpresa" asp-items="@(new SelectList(ViewBag.Empresas, "IEmprsa", "Nmbre", Model.idEmpresa))" id="ddlEmpresa" class="form-control">
                                <option value="">- Seleccione -</option>
                            </select>
                        </div>
                        <div class="form-group">
                            <label class="control-label">Sucursal: </label>
                            <select asp-for="IdSucursal" asp-items="@(new SelectList(String.Empty, "nId", "Nmbre", Model.IdSucursal ))" id="ddlSucursal" class="form-control">
                                <option value="">- Seleccione -</option>
                            </select>
                        </div>
                        <div class="form-group has-feedback">
                            <input asp-for="Usuario" type="text" class="form-control" placeholder="Usuario">
                            <span asp-validation-for="Usuario" class="text-danger"></span>
                        </div>
                        <div class="form-group has-feedback">
                            <input asp-for="Contrasena" type="password" class="form-control" placeholder="Contraseña">
                            <span asp-validation-for="Contrasena" class="text-danger"></span>
                        </div>

                        <div class="row">

                            <!-- /.col -->
                            <div class="pull-left col-xs-4">
                                <a href="#">Olvidé mi contraseña</a><br>
                            </div>
                            <div class="pull-right col-xs-4">
                                <button type="submit" class="btn btn-primary btn-block btn-flat">Ingresar</button>
                            </div>
                            <!-- /.col -->
                        </div>
                    </form>
                </div>
            </div>
        </section>
    </div>
    <partial name="_CookieConsentPartial" />

    <environment include="Development">
        <!-- start: Javascript -->
        <script src="~/js/jquery.min.js"></script>
        <!-- jQuery UI 1.11.4 -->
        <script src="~/lib/jquery/dist/jquery-ui.min.js"></script>
        <!-- Resolve conflict in jQuery UI tooltip with Bootstrap tooltip -->
        <script>
            $.widget.bridge('uibutton', $.ui.button);
        </script>

        <script src="~/js/bootstrap.min.js"></script>

        <script src="~/lib/jquery/dist/jquery.dataTables.min.js"></script>
        <script src="~/lib/jquery-ajax-unobtrusive/jquery.unobtrusive-ajax.js"></script>
        <script src="~/lib/jquery-validation/dist/jquery.validate.js"></script>
        <script src="~/lib/jquery-validation-unobtrusive/jquery.validate.unobtrusive.js"></script>
        <script src="~/lib/bootstrap/dist/js/dataTables.bootstrap4.min.js"></script>
        @*JS TEMA*@
        <!-- AdminLTE App -->
        <script src="~/lib/AdminLTE/app.min.js"></script>
        @*FIN JS TEMA*@
        <!-- end: Javascript -->
        <script src="~/js/site.js" asp-append-version="true"></script>
    </environment>
    <environment exclude="Development">
        <script src="https://ajax.aspnetcdn.com/ajax/jquery/jquery-3.3.1.min.js"
                asp-fallback-src="~/lib/jquery/dist/jquery.min.js"
                asp-fallback-test="window.jQuery"
                crossorigin="anonymous"
                integrity="sha384-tsQFqpEReu7ZLhBV2VZlAu7zcOV+rXbYlF2cqB8txI/8aZajjp4Bqd+V6D5IgvKT">
        </script>
        <script src="https://ajax.aspnetcdn.com/ajax/bootstrap/3.3.7/bootstrap.min.js"
                asp-fallback-src="~/lib/bootstrap/dist/js/bootstrap.min.js"
                asp-fallback-test="window.jQuery && window.jQuery.fn && window.jQuery.fn.modal"
                crossorigin="anonymous"
                integrity="sha384-Tc5IQib027qvyjSMfHjOMaLkfuWVxZxUPnCJA7l2mCWNIpG9mGCD8wGNIcPD7Txa">
        </script>
        <script src="~/js/site.min.js" asp-append-version="true"></script>
    </environment>
    <script type="text/javascript">
        $("#ddlEmpresa").OnChangeDdl("#ddlSucursal", "/Account/BuscarSucursalesXEmpresas");
    </script>

</body>
</html>